declare module BA.Ui.ClientSideControls.List {
    /** Class that contains static functions which create predefined toolbar items and filter items */
    class ToolbarItems {
        /**
         * Creates a filter element from the given filter definition for use in the list control's toolbar.
         * Hint: this item will be reclocated to the menu button, if the container size does not suffice.
         *
         * @param filter
         * @param container
         */
        static CreateFilter(filter: ToolbarListFilter, container: ListContainer): ListToolbarItem;
    }
}
