declare module BA.Ui.Pages {
    class Page {
        private WidgetsCount;
        private _PageLoaded;
        Id: BA.Classes.Guid;
        PageConfigId: BA.Classes.Guid;
        Widgets: Array<BA.Ui.Widgets.Widget>;
        constructor(pageId: BA.Classes.Guid, renderedWidgetsCount?: number);
        AddWidget(widget: BA.Ui.Widgets.Widget): void;
        GetWidget(id: BA.Classes.Guid): BA.Ui.Widgets.Widget;
        private OnPageLoaded;
        private OnTabActivated;
        FocusDefaultWidget(): void;
    }
}
